Bug 815802 - Description on package filter does not save properly
Description on package filter does not save properly
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Pavel Pokorny
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 10:37 EDT by Justin Sherrill
Modified: 2013-03-27 16:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When editing an existing package filter description, the page did not save the changes. This fix removes the functionality to edit descriptions after initial creation. Package filter descriptions can now only be added during creation.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:44:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-04-24 10:37:55 EDT
Description of problem:

Create a package filter without a description.
Go to the details of that package filter
Set a description
refresh the page


results:  no description set
Comment 1 Pavel Pokorny 2012-08-08 04:29:07 EDT
Filter description is stored in pulp and according to pulp API documentation [1] there is no way how to update it.

https://github.com/Katello/katello/pull/446

- edit possibility in UI is disabled
- description is hidden if not set

[1] https://fedorahosted.org/pulp/wiki/UGREST-Filters
Comment 3 Og Maciel 2012-09-14 18:28:31 EDT
Description text for a package filter can be saved on creation, but it cannot ever be edited.
Comment 4 Og Maciel 2012-09-14 18:30:07 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:44:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.